OpenShot Audio Library | OpenShotAudio: juce::StringArray Class Reference

OpenShot Audio Library | OpenShotAudio 0.3.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
juce::StringArray Class Reference

`#include <juce_StringArray.h>`

## Public Member Functions
| StringArray () noexcept
| StringArray (const StringArray &)
| StringArray (StringArray &&) noexcept
| StringArray (const String &firstValue)
template<typename... OtherElements>
| StringArray (StringRef firstValue, OtherElements... otherValues)
| StringArray (const std::initializer_list< const char * > &strings)
| StringArray (Array< String > &&) noexcept
template<typename Type >
| StringArray (const Array< Type > &stringArray)
| StringArray (const String *strings, int numberOfStrings)
| StringArray (const char *const *strings, int numberOfStrings)
| StringArray (const char *const *strings)
| StringArray (const wchar_t *const *strings)
| StringArray (const wchar_t *const *strings, int numberOfStrings)
| ~StringArray ()
StringArray & | operator= (const StringArray &)
StringArray & | operator= (StringArray &&) noexcept
template<typename Type >
StringArray & | operator= (const Array< Type > &stringArray)
void | swapWith (StringArray &) noexcept
bool | operator== (const StringArray &) const noexcept
bool | operator!= (const StringArray &) const noexcept
int | size () const noexcept
bool | isEmpty () const noexcept
const String & | operator[] (int index) const noexcept
String & | getReference (int index) noexcept
String * | begin () noexcept
const String * | begin () const noexcept
String * | end () noexcept
const String * | end () const noexcept
bool | contains (StringRef stringToLookFor, bool ignoreCase=false) const
int | indexOf (StringRef stringToLookFor, bool ignoreCase=false, int startIndex=0) const
void | add (String stringToAdd)
void | insert (int index, String stringToAdd)
bool | addIfNotAlreadyThere (const String &stringToAdd, bool ignoreCase=false)
void | set (int index, String newString)
void | addArray (const StringArray &other, int startIndex=0, int numElementsToAdd=-1)
template<typename Iterator >
void | addArray (Iterator &&start, Iterator &&end)
void | mergeArray (const StringArray &other, bool ignoreCase=false)
int | addTokens (StringRef stringToTokenise, bool preserveQuotedStrings)
int | addTokens (StringRef stringToTokenise, StringRef breakCharacters, StringRef quoteCharacters)
int | addLines (StringRef stringToBreakUp)
void | clear ()
void | clearQuick ()
void | remove (int index)
void | removeString (StringRef stringToRemove, bool ignoreCase=false)
void | removeRange (int startIndex, int numberToRemove)
void | removeDuplicates (bool ignoreCase)
void | removeEmptyStrings (bool removeWhitespaceStrings=true)
void | move (int currentIndex, int newIndex) noexcept
void | trim ()
void | appendNumbersToDuplicates (bool ignoreCaseWhenComparing, bool appendNumberToFirstInstance, CharPointer_UTF8 preNumberString=CharPointer_UTF8(nullptr), CharPointer_UTF8 postNumberString=CharPointer_UTF8(nullptr))
String | joinIntoString (StringRef separatorString, int startIndex=0, int numberOfElements=-1) const
void | sort (bool ignoreCase)
void | sortNatural ()
void | ensureStorageAllocated (int minNumElements)
void | minimiseStorageOverheads ()

## Static Public Member Functions
static StringArray | fromTokens (StringRef stringToTokenise, bool preserveQuotedStrings)
static StringArray | fromTokens (StringRef stringToTokenise, StringRef breakCharacters, StringRef quoteCharacters)
static StringArray | fromLines (StringRef stringToBreakUp)

## Public Attributes
Array< String > | strings

## Detailed Description

A special array for holding a list of strings.

See also
  String, StringPairArray

Definition at line 34 of file juce_StringArray.h.

## Constructor & Destructor Documentation

## ◆ StringArray() [1/13]

juce::StringArray::StringArray | ( |  | ) |
| noexcept

Creates an empty string array

Definition at line 26 of file juce_StringArray.cpp.

## ◆ StringArray() [2/13]

juce::StringArray::StringArray | ( | const StringArray & | other | ) |

Creates a copy of another string array

Definition at line 30 of file juce_StringArray.cpp.

## ◆ StringArray() [3/13]

juce::StringArray::StringArray | ( | StringArray && | other | ) |
| noexcept

Move constructor

Definition at line 35 of file juce_StringArray.cpp.

## ◆ StringArray() [4/13]

juce::StringArray::StringArray | ( | const String & | firstValue | ) |

Creates an array containing a single string.

Definition at line 45 of file juce_StringArray.cpp.

## ◆ StringArray() [5/13]

template<typename... OtherElements>

juce::StringArray::StringArray | ( | StringRef | firstValue,
|  | OtherElements... | otherValues
| ) |  |
| inline

Creates an array containing a list of strings.

Definition at line 52 of file juce_StringArray.h.

## ◆ StringArray() [6/13]

juce::StringArray::StringArray | ( | const std::initializer_list< const char * > & | strings | ) |

Creates an array containing a list of strings.

Definition at line 75 of file juce_StringArray.cpp.

## ◆ StringArray() [7/13]

juce::StringArray::StringArray | ( | Array< String > && | other | ) |
| noexcept

Creates a StringArray by moving from an Array<String>

Definition at line 40 of file juce_StringArray.cpp.

## ◆ StringArray() [8/13]

template<typename Type >

juce::StringArray::StringArray | ( | const Array< Type > & | stringArray | ) |
| inline

Creates a StringArray from an array of objects which can be implicitly converted to Strings.

Definition at line 62 of file juce_StringArray.h.

## ◆ StringArray() [9/13]

juce::StringArray::StringArray | ( | const String * | strings,
|  | int | numberOfStrings
| ) |  |

Creates an array from a raw array of strings.

Parameters

  strings | an array of strings to add
  numberOfStrings | how many items there are in the array

Definition at line 50 of file juce_StringArray.cpp.

## ◆ StringArray() [10/13]

juce::StringArray::StringArray | ( | const char *const * | strings,
|  | int | numberOfStrings
| ) |  |

Creates a copy of an array of string literals.

Parameters

  strings | an array of strings to add. Null pointers in the array will be treated as empty strings
  numberOfStrings | how many items there are in the array

Definition at line 60 of file juce_StringArray.cpp.

## ◆ StringArray() [11/13]

juce::StringArray::StringArray | ( | const char *const * | strings | ) |
| explicit

Creates a copy of a null-terminated array of string literals.

Each item from the array passed-in is added, until it encounters a null pointer, at which point it stops.

Definition at line 55 of file juce_StringArray.cpp.

## ◆ StringArray() [12/13]

juce::StringArray::StringArray | ( | const wchar_t *const * | strings | ) |
| explicit

Creates a copy of a null-terminated array of string literals. Each item from the array passed-in is added, until it encounters a null pointer, at which point it stops.

Definition at line 65 of file juce_StringArray.cpp.

## ◆ StringArray() [13/13]

juce::StringArray::StringArray | ( | const wchar_t *const * | strings,
|  | int | numberOfStrings
| ) |  |

Creates a copy of an array of string literals.

Parameters

  strings | an array of strings to add. Null pointers in the array will be treated as empty strings
  numberOfStrings | how many items there are in the array

Definition at line 70 of file juce_StringArray.cpp.

## ◆ ~StringArray()

juce::StringArray::~StringArray | ( |  | ) |

Destructor.

Definition at line 92 of file juce_StringArray.cpp.

## Member Function Documentation

## ◆ add()

void juce::StringArray::add | ( | String | stringToAdd | ) |

Appends a string at the end of the array.

Definition at line 135 of file juce_StringArray.cpp.

Referenced by addIfNotAlreadyThere(), juce::RelativeTime::getDescription(), juce::SystemStats::getDeviceIdentifiers(), juce::ThreadPool::getNamesOfAllJobs(), juce::UndoManager::getRedoDescriptions(), juce::AudioChannelSet::getSpeakerArrangementAsString(), juce::UndoManager::getUndoDescriptions(), juce::ChildProcessMaster::launchSlaveProcess(), juce::StringPairArray::set(), and juce::dsp::Matrix< ElementType >::toString().

## ◆ addArray() [1/2]

void juce::StringArray::addArray | ( | const StringArray & | other,
|  | int | startIndex = `0`,
|  | int | numElementsToAdd = `-1`
| ) |  |

Appends some strings from another array to the end of this one.

Parameters

  other | the array to add
  startIndex | the first element of the other array to add
  numElementsToAdd | the maximum number of elements to add (if this is less than zero, they are all added)

Definition at line 158 of file juce_StringArray.cpp.

Referenced by juce::AudioFormatManager::getWildcardForAllFormats().

## ◆ addArray() [2/2]

template<typename Iterator >

void juce::StringArray::addArray | ( | Iterator && | start,
|  | Iterator && | end
| ) |  |
| inline

Adds items from a range of start/end iterators of some kind of objects which can be implicitly converted to Strings.

Definition at line 241 of file juce_StringArray.h.

## ◆ addIfNotAlreadyThere()

bool juce::StringArray::addIfNotAlreadyThere | ( | const String & | stringToAdd,
|  | bool | ignoreCase = `false`
| ) |  |

Adds a string to the array as long as it's not already in there. The search can optionally be case-insensitive.

Returns
  true if the string has been added, false otherwise.

Definition at line 149 of file juce_StringArray.cpp.

Referenced by juce::UnitTest::getAllCategories(), and mergeArray().

## ◆ addLines()

int juce::StringArray::addLines | ( | StringRef | stringToBreakUp | ) |

Breaks up a string into lines and adds them to this array.

This breaks a string down into lines separated by \n or \r\n, and adds each line to the array. Line-break characters are omitted from the strings that are added to the array.

Definition at line 357 of file juce_StringArray.cpp.

Referenced by fromLines(), and juce::File::readLines().

## ◆ addTokens() [1/2]

int juce::StringArray::addTokens | ( | StringRef | stringToTokenise,
|  | bool | preserveQuotedStrings
| ) |  |

Breaks up a string into tokens and adds them to this array.

This will tokenise the given string using whitespace characters as the token delimiters, and will add these tokens to the end of the array.

Returns
  the number of tokens added

See also
  fromTokens

Definition at line 328 of file juce_StringArray.cpp.

Referenced by addTokens(), fromTokens(), juce::Time::getCompilationDate(), and juce::ChannelRemappingAudioSource::restoreFromXml().

## ◆ addTokens() [2/2]

int juce::StringArray::addTokens | ( | StringRef | stringToTokenise,
|  | StringRef | breakCharacters,
|  | StringRef | quoteCharacters
| ) |  |

Breaks up a string into tokens and adds them to this array.

This will tokenise the given string (using the string passed in to define the token delimiters), and will add these tokens to the end of the array.

Parameters

  stringToTokenise | the string to tokenise
  breakCharacters | a string of characters, any of which will be considered to be a token delimiter.
  quoteCharacters | if this string isn't empty, it defines a set of characters which are treated as quotes. Any text occurring between quotes is not broken up into tokens.

Returns
  the number of tokens added

See also
  fromTokens

Definition at line 333 of file juce_StringArray.cpp.

## ◆ appendNumbersToDuplicates()

void juce::StringArray::appendNumbersToDuplicates | ( | bool | ignoreCaseWhenComparing,
|  | bool | appendNumberToFirstInstance,
|  | CharPointer_UTF8 | preNumberString = `CharPointer_UTF8 (nullptr)`,
|  | CharPointer_UTF8 | postNumberString = `CharPointer_UTF8 (nullptr)`
| ) |  |

Adds numbers to the strings in the array, to make each string unique.

This will add numbers to the ends of groups of similar strings. e.g. if there are two "moose" strings, they will become "moose (1)" and "moose (2)"

Parameters

  ignoreCaseWhenComparing | whether the comparison used is case-insensitive
  appendNumberToFirstInstance | whether the first of a group of similar strings also has a number appended to it.
  preNumberString | when adding a number, this string is added before the number. If you pass nullptr, a default string will be used, which adds brackets around the number.
  postNumberString | this string is appended after any numbers that are added. If you pass nullptr, a default string will be used, which adds brackets around the number.

Definition at line 428 of file juce_StringArray.cpp.

## ◆ begin() [1/2]

const String * juce::StringArray::begin | ( |  | ) | const
| inlinenoexcept

Returns a pointer to the first String in the array. This method is provided for compatibility with standard C++ iteration mechanisms.

Definition at line 163 of file juce_StringArray.h.

## ◆ begin() [2/2]

String * juce::StringArray::begin | ( |  | ) |
| inlinenoexcept

Returns a pointer to the first String in the array. This method is provided for compatibility with standard C++ iteration mechanisms.

Definition at line 158 of file juce_StringArray.h.

Referenced by juce::dsp::Matrix< ElementType >::toString().

## ◆ clear()

void juce::StringArray::clear | ( |  | ) |

Removes all elements from the array.

Definition at line 111 of file juce_StringArray.cpp.

Referenced by juce::StringPairArray::clear().

## ◆ clearQuick()

void juce::StringArray::clearQuick | ( |  | ) |

Removes all elements from the array without freeing the array's allocated storage.

See also
  clear

Definition at line 116 of file juce_StringArray.cpp.

## ◆ contains()

bool juce::StringArray::contains | ( | StringRef | stringToLookFor,
|  | bool | ignoreCase = `false`
| ) |  | const

Searches for a string in the array.

The comparison will be case-insensitive if the ignoreCase parameter is true.

Returns
  true if the string is found inside the array

Definition at line 188 of file juce_StringArray.cpp.

Referenced by addIfNotAlreadyThere().

## ◆ end() [1/2]

const String * juce::StringArray::end | ( |  | ) | const
| inlinenoexcept

Returns a pointer to the String which follows the last element in the array. This method is provided for compatibility with standard C++ iteration mechanisms.

Definition at line 173 of file juce_StringArray.h.

## ◆ end() [2/2]

String * juce::StringArray::end | ( |  | ) |
| inlinenoexcept

Returns a pointer to the String which follows the last element in the array. This method is provided for compatibility with standard C++ iteration mechanisms.

Definition at line 168 of file juce_StringArray.h.

## ◆ ensureStorageAllocated()

void juce::StringArray::ensureStorageAllocated | ( | int | minNumElements | ) |

Increases the array's internal storage to hold a minimum number of elements.

Calling this before adding a large known number of elements means that the array won't have to keep dynamically resizing itself as the elements are added, and it'll therefore be more efficient.

Definition at line 463 of file juce_StringArray.cpp.

## ◆ fromLines()

StringArray juce::StringArray::fromLines | ( | StringRef | stringToBreakUp | ) |
| static

Returns an array containing the lines in a given string.

This breaks a string down into lines separated by \n or \r\n, and returns an array containing these lines. Line-break characters are omitted from the strings that are added to the array.

Definition at line 402 of file juce_StringArray.cpp.

## ◆ fromTokens() [1/2]

StringArray juce::StringArray::fromTokens | ( | StringRef | stringToTokenise,
|  | bool | preserveQuotedStrings
| ) |  |
| static

Returns an array containing the tokens in a given string.

This will tokenise the given string using whitespace characters as the token delimiters, and return the parsed tokens as an array.

See also
  addTokens

Definition at line 386 of file juce_StringArray.cpp.

Referenced by juce::IPAddress::getFormattedAddress(), juce::IPAddress::IPAddress(), and juce::ArgumentList::Argument::operator==().

## ◆ fromTokens() [2/2]

StringArray juce::StringArray::fromTokens | ( | StringRef | stringToTokenise,
|  | StringRef | breakCharacters,
|  | StringRef | quoteCharacters
| ) |  |
| static

Returns an array containing the tokens in a given string.

This will tokenise the given string using the breakCharacters string to define the token delimiters, and will return the parsed tokens as an array.

Parameters

  stringToTokenise | the string to tokenise
  breakCharacters | a string of characters, any of which will be considered to be a token delimiter.
  quoteCharacters | if this string isn't empty, it defines a set of characters which are treated as quotes. Any text occurring between quotes is not broken up into tokens.

See also
  addTokens

Definition at line 393 of file juce_StringArray.cpp.

## ◆ getReference()

String & juce::StringArray::getReference | ( | int | index | ) |
| noexcept

Returns a reference to one of the strings in the array. This lets you modify a string in-place in the array, but you must be sure that the index is in-range.

Definition at line 130 of file juce_StringArray.cpp.

Referenced by juce::IPAddress::getFormattedAddress().

## ◆ indexOf()

int juce::StringArray::indexOf | ( | StringRef | stringToLookFor,
|  | bool | ignoreCase = `false`,
|  | int | startIndex = `0`
| ) |  | const

Searches for a string in the array.

The comparison will be case-insensitive if the ignoreCase parameter is true.

Parameters

  stringToLookFor | the string to try to find
  ignoreCase | whether the comparison should be case-insensitive
  startIndex | the first index to start searching from

Returns
  the index of the first occurrence of the string in this array, or -1 if it isn't found.

Definition at line 193 of file juce_StringArray.cpp.

Referenced by appendNumbersToDuplicates(), contains(), juce::StringPairArray::getValue(), juce::IPAddress::IPAddress(), juce::StringPairArray::operator==(), juce::StringPairArray::operator[](), juce::StringPairArray::remove(), removeDuplicates(), juce::PropertySet::removeValue(), juce::StringPairArray::set(), and juce::PropertySet::setValue().

## ◆ insert()

void juce::StringArray::insert | ( | int | index,
|  | String | stringToAdd
| ) |  |

Inserts a string into the array.

This will insert a string into the array at the given index, moving up the other elements to make room for it. If the index is less than zero or greater than the size of the array, the new string will be added to the end of the array.

Definition at line 142 of file juce_StringArray.cpp.

## ◆ isEmpty()

bool juce::StringArray::isEmpty | ( |  | ) | const
| inlinenoexcept

Returns true if the array is empty, false otherwise.

Definition at line 138 of file juce_StringArray.h.

Referenced by juce::RelativeTime::getDescription(), and juce::SystemStats::getDeviceIdentifiers().

## ◆ joinIntoString()

String juce::StringArray::joinIntoString | ( | StringRef | separatorString,
|  | int | startIndex = `0`,
|  | int | numberOfElements = `-1`
| ) |  | const

Joins the strings in the array together into one string.

This will join a range of elements from the array into a string, separating them with a given string.

e.g. joinIntoString (",") will turn an array of "a" "b" and "c" into "a,b,c".

Parameters

  separatorString | the string to insert between all the strings
  startIndex | the first element to join
  numberOfElements | how many elements to join together. If this is less than zero, all available elements will be used.

Definition at line 288 of file juce_StringArray.cpp.

Referenced by juce::RelativeTime::getDescription(), juce::AudioChannelSet::getSpeakerArrangementAsString(), and juce::AudioFormatManager::getWildcardForAllFormats().

## ◆ mergeArray()

void juce::StringArray::mergeArray | ( | const StringArray & | other,
|  | bool | ignoreCase = `false`
| ) |  |

Merges the strings from another array into this one. This will not add a string that already exists.

Parameters

  other | the array to add
  ignoreCase | ignore case when merging

Definition at line 175 of file juce_StringArray.cpp.

## ◆ minimiseStorageOverheads()

void juce::StringArray::minimiseStorageOverheads | ( |  | ) |

Reduces the amount of storage being used by the array.

Arrays typically allocate slightly more storage than they need, and after removing elements, they may have quite a lot of unused space allocated. This method will reduce the amount of allocated storage to a minimum.

Definition at line 468 of file juce_StringArray.cpp.

Referenced by juce::StringPairArray::minimiseStorageOverheads().

## ◆ move()

void juce::StringArray::move | ( | int | currentIndex,
|  | int | newIndex
| ) |  |
| noexcept

Moves one of the strings to a different position.

This will move the string to a specified index, shuffling along any intervening elements as required.

So for example, if you have the array { 0, 1, 2, 3, 4, 5 } then calling move (2, 4) would result in { 0, 1, 3, 4, 2, 5 }.

Parameters

  currentIndex | the index of the value to be moved. If this isn't a valid index, then nothing will be done
  newIndex | the index at which you'd like this value to end up. If this is less than zero, the value will be moved to the end of the array

Definition at line 216 of file juce_StringArray.cpp.

## ◆ operator!=()

bool juce::StringArray::operator!= | ( | const StringArray & | other | ) | const
| noexcept

Compares two arrays. Comparisons are case-sensitive.

Returns
  false if the other array contains exactly the same strings in the same order

Definition at line 101 of file juce_StringArray.cpp.

## ◆ operator=() [1/3]

template<typename Type >

StringArray & juce::StringArray::operator= | ( | const Array< Type > & | stringArray | ) |
| inline

Copies a StringArray from an array of objects which can be implicitly converted to Strings.

Definition at line 111 of file juce_StringArray.h.

## ◆ operator=() [2/3]

StringArray & juce::StringArray::operator= | ( | const StringArray & | other | ) |

Copies the contents of another string array into this one

Definition at line 80 of file juce_StringArray.cpp.

## ◆ operator=() [3/3]

StringArray & juce::StringArray::operator= | ( | StringArray && | other | ) |
| noexcept

Move assignment operator

Definition at line 86 of file juce_StringArray.cpp.

## ◆ operator==()

bool juce::StringArray::operator== | ( | const StringArray & | other | ) | const
| noexcept

Compares two arrays. Comparisons are case-sensitive.

Returns
  true only if the other array contains exactly the same strings in the same order

Definition at line 96 of file juce_StringArray.cpp.

## ◆ operator[]()

const String & juce::StringArray::operator[] | ( | int | index | ) | const
| noexcept

Returns one of the strings from the array.

If the index is out-of-range, an empty string is returned.

Obviously the reference returned shouldn't be stored for later use, as the string it refers to may disappear when the array changes.

Definition at line 121 of file juce_StringArray.cpp.

## ◆ remove()

void juce::StringArray::remove | ( | int | index | ) |

Removes a string from the array. If the index is out-of-range, no action will be taken.

Definition at line 222 of file juce_StringArray.cpp.

Referenced by juce::StringPairArray::remove().

## ◆ removeDuplicates()

void juce::StringArray::removeDuplicates | ( | bool | ignoreCase | ) |

Removes any duplicated elements from the array.

If any string appears in the array more than once, only the first occurrence of it will be retained.

Parameters

  ignoreCase | whether to use a case-insensitive comparison

Definition at line 410 of file juce_StringArray.cpp.

Referenced by juce::AudioFormatManager::getWildcardForAllFormats().

## ◆ removeEmptyStrings()

void juce::StringArray::removeEmptyStrings | ( | bool | removeWhitespaceStrings = `true` | ) |

Removes empty strings from the array.

Parameters

  removeWhitespaceStrings | if true, strings that only contain whitespace characters will also be removed

Definition at line 249 of file juce_StringArray.cpp.

Referenced by juce::ArgumentList::ArgumentList(), juce::Time::getCompilationDate(), and juce::AudioFormatManager::getWildcardForAllFormats().

## ◆ removeRange()

void juce::StringArray::removeRange | ( | int | startIndex,
|  | int | numberToRemove
| ) |  |

Removes a range of elements from the array.

This will remove a set of elements, starting from the given index, and move subsequent elements down to close the gap.

If the range extends beyond the bounds of the array, it will be safely clipped to the size of the array.

Parameters

  startIndex | the index of the first element to remove
  numberToRemove | how many elements should be removed

Definition at line 243 of file juce_StringArray.cpp.

## ◆ removeString()

void juce::StringArray::removeString | ( | StringRef | stringToRemove,
|  | bool | ignoreCase = `false`
| ) |  |

Finds a string in the array and removes it. This will remove all occurrences of the given string from the array. The comparison may be case-insensitive depending on the ignoreCase parameter.

Definition at line 227 of file juce_StringArray.cpp.

## ◆ set()

void juce::StringArray::set | ( | int | index,
|  | String | newString
| ) |  |

Replaces one of the strings in the array with another one.

If the index is higher than the array's size, the new string will be added to the end of the array; if it's less than zero nothing happens.

Definition at line 183 of file juce_StringArray.cpp.

Referenced by appendNumbersToDuplicates(), and juce::StringPairArray::set().

## ◆ size()

int juce::StringArray::size | ( |  | ) | const
| inlinenoexcept

Returns the number of strings in the array

Definition at line 135 of file juce_StringArray.h.

Referenced by addArray(), appendNumbersToDuplicates(), juce::StringPairArray::getDescription(), juce::RelativeTime::getDescription(), juce::URL::getQueryString(), indexOf(), joinIntoString(), juce::DirectoryIterator::next(), removeDuplicates(), removeEmptyStrings(), removeString(), juce::ChannelRemappingAudioSource::restoreFromXml(), and juce::dsp::Matrix< ElementType >::toString().

## ◆ sort()

void juce::StringArray::sort | ( | bool | ignoreCase | ) |

Sorts the array into alphabetical order.

Parameters

  ignoreCase | if true, the comparisons used will not be case-sensitive.

Definition at line 272 of file juce_StringArray.cpp.

## ◆ sortNatural()

void juce::StringArray::sortNatural | ( |  | ) |

Sorts the array using extra language-aware rules to do a better job of comparing words containing spaces and numbers.

See also
  String::compareNatural()

Definition at line 281 of file juce_StringArray.cpp.

## ◆ swapWith()

void juce::StringArray::swapWith | ( | StringArray & | other | ) |
| noexcept

Swaps the contents of this and another StringArray.

Definition at line 106 of file juce_StringArray.cpp.

## ◆ trim()

void juce::StringArray::trim | ( |  | ) |

Deletes any whitespace characters from the starts and ends of all the strings.

Definition at line 265 of file juce_StringArray.cpp.

Referenced by juce::ArgumentList::ArgumentList(), and juce::AudioFormatManager::getWildcardForAllFormats().

## Member Data Documentation

## ◆ strings

Array<String> juce::StringArray::strings

This is the array holding the actual strings. This is public to allow direct access to array methods that may not already be provided by the StringArray class.

Definition at line 464 of file juce_StringArray.h.

Referenced by add(), addArray(), addLines(), addTokens(), appendNumbersToDuplicates(), clear(), clearQuick(), ensureStorageAllocated(), indexOf(), insert(), joinIntoString(), minimiseStorageOverheads(), operator=(), remove(), removeDuplicates(), removeEmptyStrings(), removeRange(), removeString(), set(), sort(), sortNatural(), StringArray(), and trim().

The documentation for this class was generated from the following files:

- juce_StringArray.h
- juce_StringArray.cpp